MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024174Community[OCCT] OCCT:Modeling Algorithmspublic2013-09-13 15:422013-12-19 13:59
ReporterTimo 
Assigned Tobugmaster 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024174: [regression] BRepBuilderAPI_Sewing returns result with very high tolerance
DescriptionThe following sewing operation returns a wrong result in OCCT 6.5.3 and 6.6.0.

The result is correct in OCCT 6.5.2.

In 6.6.0 the resulting shell has tolerance 105.45 and one edge is not sewed correctly (because of high tolerance).

In 6.5.2 the resulting shell had tolerance 0.076.
 
Draw script:
 
restore Comp1.brep c
explode c
tolerance c
sewing r 0.1 c_1 c_2
tolerance r
checkshape r
vinit
vdisplay r
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug24174_1, bug24174_2
Attached Files? file icon Comp1.brep (760,240 bytes) 2013-09-13 15:42
png file icon OCC6.5.2.PNG (4,796 bytes) 2013-09-13 15:42
png file icon OCC6.6.0.PNG (5,591 bytes) 2013-09-13 15:42
? file icon stitch.brep (328,545 bytes) 2013-09-24 10:29

- Relationships
related to 0024203closedbugmaster Open CASCADE Command "sameparameter" in DRAW on attached edge set tolerance equal to 116. 
related to 0024357closedbugmaster Community BRepBuilderAPI_Sewing returns result with too high tolerance 

-  Notes
(0025705)
abv (manager)
2013-09-24 10:02
edited on: 2013-09-24 10:33

Another example of similar problem is reported on OCCT forum:
http://www.opencascade.org/org/forum/thread_25329/ [^]

The file is attached (stitch.brep). The test commands to reproduce the problem are:

Draw[]> restore stitch.brep a

Draw[]> tolerance a
Tolerance MAX=0.58022137281123598 AVG=0.11951856838400272 MIN=9.9999999999999995e-008
FACE : MAX=9.9999999999999995e-008 AVG=9.9999999999999995e-008 MIN=9.9999999999999995e-008
EDGE : MAX=0.58016335647558903 AVG=0.091042346630782645 MIN=1.0000000000000001e-005
VERTEX : MAX=0.58022137281123598 AVG=0.14462199456824934 MIN=1.0000000000000001e-005

Draw[]> sewing r 0.1 a

                        Informations
 ===========================================================

 Number of input shapes : 1
 Number of actual shapes : 1
 Number of Bounds : 11
 Number of Sections : 11
 Number of Edges : 10
 Number of Vertices : 11
 Number of Nodes : 9
 Number of Free Edges : 9
 Number of Contigous Edges : 1
 Number of Multiple Edges : 0
 Number of Degenerated Edges : 0
 ===========================================================

Draw[8]> tolerance r

Tolerance MAX=116.18676595408203 AVG=33.315216577269183 MIN=9.9999999999999995e-008
FACE : MAX=9.9999999999999995e-008 AVG=9.9999999999999995e-008 MIN=9.9999999999999995e-008
EDGE : MAX=116.18676595408203 AVG=21.215907065554788 MIN=1.0000000000000001e-005
VERTEX : MAX=116.18676595408203 AVG=42.393527376514477 MIN=1.0000000000000001e-005

(0025774)
gka (developer)
2013-09-27 12:26

Branch CR24174 is ready to be reviewed.
(0025786)
abv (manager)
2013-09-27 18:20

Reviewed, please test
(0025808)
mkv (tester)
2013-10-01 12:40

Dear BugMaster,

Branch CR24174 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 34bba807bd3772ec2377bb369cf8a8454b228af8

Number of compiler warnings:

occt component :
Linux: 423 (426 on master)
Windows: 24 (24 on master)

products component :
Linux: 189 (190 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24174-master-occt/Debian60-64/bugs/modalg_5/bug24174_1.html [^]
http://occt-tests/CR24174-master-occt/Windows-32-VC9/bugs/modalg_5/bug24174_1.html [^]
bugs modalg_5(010) bug24174_1: OK
http://occt-tests/CR24174-master-occt/Debian60-64/bugs/modalg_5/bug24174_2.html [^]
http://occt-tests/CR24174-master-occt/Windows-32-VC9/bugs/modalg_5/bug24174_2.html [^]
bugs modalg_5(010) bug24174_2: OK

Testing on Linux:
Total MEMORY difference: 366495364 / 366194636
Total CPU difference: 44519.16000000073 / 44692.0300000013

Testing on Windows:
Total MEMORY difference: 433472060 / 433434232
Total CPU difference: 41576.375 / 34607.296875

There are following differences in images found by testdiff.
http://occt-tests/CR24174-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24174-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE sewing tol_100 I9: I9.png differs
IMAGE sewing tol_100 J3: J3.png differs
IMAGE sewing tol_100 J5: J5.png differs
IMAGE sewing tol_100 J6: J6.png differs
IMAGE sewing tol_100 K3: K3.png differs
IMAGE sewing tol_100 Y7: Y7.png differs
IMAGE sewing tol_100 C5: C5.png differs
IMAGE sewing tol_0_01 F8: F8.png differs
(0025824)
abv (manager)
2013-10-01 15:56

I do not consider the reported differences in images as regressions, they are just variations on bad shapes. Thus I switch this fix to "tested".

- Related Changesets
occt: master 47980104
Timestamp: 2013-10-03 12:36:52
Author: gka
Committer: bugmaster
Details ] Diff ]
0024174: [regression] BRepBuilderAPI_Sewing returns result with very high tolerance

Fix for bug 0024174: [regression] BRepBuilderAPI_Sewing returns result with very high tolerance
Test script for CR24174
Test cases for issue CR24174
Small correction of test cases for issue CR24174
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug24174_1 Diff ] File ]
add - tests/bugs/modalg_5/bug24174_2 Diff ] File ]
mod - tests/sewing/tol_100/J3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-13 15:42 Timo New Issue
2013-09-13 15:42 Timo Assigned To => ifv
2013-09-13 15:42 Timo File Added: Comp1.brep
2013-09-13 15:42 Timo File Added: OCC6.5.2.PNG
2013-09-13 15:42 Timo File Added: OCC6.6.0.PNG
2013-09-24 09:08 abv Assigned To ifv => gka
2013-09-24 09:08 abv Status new => assigned
2013-09-24 10:02 abv Note Added: 0025705
2013-09-24 10:02 abv Priority normal => high
2013-09-24 10:29 abv File Added: stitch.brep
2013-09-24 10:33 abv Note Edited: 0025705 View Revisions
2013-09-24 18:40 gka Relationship added related to 0024203
2013-09-27 12:26 gka Note Added: 0025774
2013-09-27 12:26 gka Assigned To gka => abv
2013-09-27 12:26 gka Status assigned => resolved
2013-09-27 18:20 abv Note Added: 0025786
2013-09-27 18:20 abv Assigned To abv => bugmaster
2013-09-27 18:20 abv Status resolved => reviewed
2013-09-30 15:49 mkv Assigned To bugmaster => mkv
2013-10-01 12:40 mkv Note Added: 0025808
2013-10-01 12:41 mkv Test case number => bugs modalg_5(010) bug24174_1, bug24174_2
2013-10-01 12:41 mkv Assigned To mkv => gka
2013-10-01 12:41 mkv Status reviewed => feedback
2013-10-01 15:56 abv Note Added: 0025824
2013-10-01 15:56 abv Assigned To gka => bugmaster
2013-10-01 15:56 abv Status feedback => tested
2013-10-03 14:38 bugmaster Description Updated View Revisions
2013-10-03 15:41 bugmaster Description Updated View Revisions
2013-10-04 12:48 bugmaster Changeset attached => occt master 47980104
2013-10-04 12:48 bugmaster Status tested => verified
2013-10-04 12:48 bugmaster Resolution open => fixed
2013-11-13 19:06 Timo Issue cloned: 0024357
2013-11-13 19:06 Timo Relationship added related to 0024357
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:59 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker